%global gitdate 20220712
%global commit 194f93a5e2130682ac844d906ea36348d7eb155d
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           eos-metrics-instrumentation
Version:        0.0.0^%{gitdate}git%{shortcommit}
Release:        4%{?dist}
Summary:        Instrumentation daemons for eos-metrics

License:        GPL-2.0-or-later
URL:            https://github.com/endlessm/eos-metrics-instrumentation
Source0:        https://github.com/endlessm/eos-metrics-instrumentation/archive/%{commit}/%{name}-%{commit}.tar.gz
Source1:        eos-metrics-instrumentation.conf

# https://github.com/endlessm/eos-metrics-instrumentation/issues/111
Patch0:         crash-metrics.patch

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  pkgconfig(eosmetrics-0)
BuildRequires:  pkgconfig(flatpak)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libgtop-2.0)
BuildRequires:  pkgconfig(ostree-1)
BuildRequires:  python3-dbusmock
BuildRequires:  systemd-rpm-macros

# For the metrics user
Requires:       eos-event-recorder-daemon

%description
Instrumentation daemons that collect information from DBus and record it as
metrics using the interface exposed by eos-metrics.


%prep
%autosetup -p1 -n eos-metrics-instrumentation-%{commit}


%build
%meson -Dcrash_metrics=disabled
%meson_build


%install
%meson_install

%check
%meson_test


%pre
%sysusers_create_compat %{SOURCE1}


%files
%license COPYING*
%doc README.md
%{_bindir}/eos-label-location
%{_unitdir}/eos-metrics-instrumentation.service
%{_tmpfilesdir}/eos-metrics-instrumentation.conf
%{_libexecdir}/eos-metrics-instrumentation


%changelog
* Tue Mar 28 2023 Michael Catanzaro <mcatanzaro@redhat.com> - 0.0.0^20220712git194f93a-4
- Add patch with meson option to remove core dump handling

* Mon Mar 27 2023 Michael Catanzaro <mcatanzaro@redhat.com> - 0.0.0^20220712git194f93a-3
- Delete core dump handling, not yet integrated with systemd-coredump

* Wed Mar 22 2023 Kalev Lember <klember@redhat.com> - 0.0.0^20220712git194f93a-2
- Require eos-event-recorder-daemon for the metrics user

* Wed Mar 22 2023 Kalev Lember <klember@redhat.com> - 0.0.0^20220712git194f93a-1
- Initial Fedora packaging
